# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xcredssp`](#dsc_xcredssp): The DSC xCredSSP resource type. Automatically generated from version 1.4.0

## Resource types

### <a name="dsc_xcredssp"></a>`dsc_xcredssp`

The DSC xCredSSP resource type.
Automatically generated from version 1.4.0

#### Properties

The following properties are available in the `dsc_xcredssp` type.

##### `dsc_delegatecomputers`

Data type: `Optional[Array[String]]`

Specifies the array of computers that CredSSP client can delegate to.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

An enumerated value that describes if the role is expected to be enabled on the machine. Present {default}   Absent    

##### `dsc_suppressreboot`

Data type: `Optional[Boolean]`

Specifies if a reboot should be supressed. Default is False

#### Parameters

The following parameters are available in the `dsc_xcredssp` type.

* [`dsc_psdscrunascredential`](#-dsc_xcredssp--dsc_psdscrunascredential)
* [`dsc_role`](#-dsc_xcredssp--dsc_role)
* [`dsc_timeout`](#-dsc_xcredssp--dsc_timeout)
* [`name`](#-dsc_xcredssp--name)
* [`validation_mode`](#-dsc_xcredssp--validation_mode)

##### <a name="-dsc_xcredssp--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_xcredssp--dsc_role"></a>`dsc_role`

namevar

Data type: `Enum['Server', 'server', 'Client', 'client']`

Specifies the CredSSP role. Server    Client    

##### <a name="-dsc_xcredssp--dsc_timeout"></a>`dsc_timeout`

Data type: `Optional[Integer]`

The maximum time in seconds to wait for the DSC resource to complete.

##### <a name="-dsc_xcredssp--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_xcredssp--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

